Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
statement
Get Statement
curl --request GET \
  --url https://api.cadanapay.com/v1/businesses/{businessId}/statement \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cadanapay.com/v1/businesses/{businessId}/statement"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cadanapay.com/v1/businesses/{businessId}/statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}
{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

businessId
string
required

The unique identifier for the business

Query Parameters

currency
string
required

Currency code for the statement (required)

Example:

"USD"

periodStart
string<date>
required

Start of the statement period (ISO 8601 date, required)

Example:

"2024-01-01"

periodEnd
string<date>
required

End of the statement period (ISO 8601 date, required)

Example:

"2024-01-31"

format
enum<string>

Response format. Omit for JSON; csv or bai2 return a downloadable file.

Available options:
csv,
bai2

Response

The business account statement (JSON, or a CSV/BAI2 file download when format is set).

The response is of type object.